# Log

> See the [Log guide](/version-0.x/guide/log-guide.md) to learn how to work with the Log module.

## Configuration

* **`databaseProviderName`** The name of the database provider where the `log` table is found. Default: `main`.
* **`cacheProviderName`** The name of the cache provider that will be used to temporally store events as they happen, to be later added to the database by the `JanitorTaskLog`. Default: `engine`.
* **`cacheKeyUniqueId`** The unique cache key to use when storing events into cache. Default: `QueuedLogEvents`
* **`isQueueInCache`** Whether to store events in a buffer using cache for improved performance instead of storing them in the database straightaway.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://cherrycake.tin.cat/version-0.x/reference/core-modules/log.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
